Skip to main content
GET
List built component operations

Authorizations

Authorization
string
header
required

Path Parameters

component_id
string
required

Response

Successful response

description
string
required

Explanation of what the operation does, already evaluated.

display_name
string
required

Human-readable label for the operation, already evaluated.

method
enum<string>
required

HTTP method of the operation.

Available options:
DELETE,
GET,
PATCH,
POST,
PUT
name
string
required

Unique name of the operation within its component.

openapi_spec
object
required
path
string
required

Path of the operation, for example /v5/persons/{person_id}. The host is derived from the operation type: api.extole.io for SERVER_TO_EXTOLE, or the default program domain of the client for CONSUMER_TO_EXTOLE.

priority
string
required
Example:

"10"

request_schema
object
required
response_schema
object
required
tags
string[]
required

Freeform labels used for grouping, including category such as ACTION or VIEW.

Freeform labels used for grouping, including category such as ACTION or VIEW.

type
enum<string>
required

Which Extole API this operation belongs to. Dictates authentication.

Available options:
CONSUMER_TO_EXTOLE,
SERVER_TO_EXTOLE